CREATE TABLE ase_ps_action_value (
    VALUE_ID                       NUMBER        ,
    PARENT_VALUE_ID                NUMBER        ,
    ACTION_ID                      NUMBER            NOT NULL,
    APP_STRIPE                     VARCHAR2(200) ,
    ATTRIBUTE_NAME                 VARCHAR2(400) ,
    ATTRIBUTE_TYPE                 VARCHAR2(1020)    NOT NULL,
    ATTRIBUTE_VALUE_TEXT           VARCHAR2(4000),
    ATTRIBUTE_VALUE_TEXT_PREV      VARCHAR2(4000),
    ATTRIBUTE_VALUE_NUMBER         NUMBER        ,
    ATTRIBUTE_VALUE_NUMBER_PREV    NUMBER        ,
    ATTRIBUTE_VALUE_TIMESTAMP      TIMESTAMP(6)  ,
    ATTRIBUTE_VALUE_TIME_PREV      TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    VALUE_ID                       NUMBER        ,
    PARENT_VALUE_ID                NUMBER        ,
    ACTION_ID                      NUMBER            NOT NULL,
    APP_STRIPE                     VARCHAR2(200) ,
    ATTRIBUTE_NAME                 VARCHAR2(400) ,
    ATTRIBUTE_TYPE                 VARCHAR2(1020)    NOT NULL,
    ATTRIBUTE_VALUE_TEXT           VARCHAR2(4000),
    ATTRIBUTE_VALUE_TEXT_PREV      VARCHAR2(4000),
    ATTRIBUTE_VALUE_NUMBER         NUMBER        ,
    ATTRIBUTE_VALUE_NUMBER_PREV    NUMBER        ,
    ATTRIBUTE_VALUE_TIMESTAMP      TIMESTAMP(6)  ,
    ATTRIBUTE_VALUE_TIME_PREV      TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ase_ps_action_value PRIMARY KEY (VALUE_ID, VALUE_ID)
);
